Package org.talend.transform.runtime.api

# Class StructConverterImpl

java.lang.Object
org.talend.transform.runtime.api.ResourceExecutorBase<org.talend.transform.runtime.common.StructConverter>
org.talend.transform.runtime.api.StructConverterImpl

All Implemented Interfaces:
  `org.talend.transform.runtime.common.CommonExecutor`, `org.talend.transform.runtime.common.StructConverter`

public class StructConverterImpl extends ResourceExecutorBase<org.talend.transform.runtime.common.StructConverter> implements org.talend.transform.runtime.common.StructConverter

## Constructor Summary

Constructors
Constructor
Description
`StructConverterImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected org.talend.transform.runtime.common.StructConversionStatus`
`convert(org.talend.transform.runtime.common.StructConversionCommand command)`
`org.talend.transform.runtime.common.StructConversionCommand`
`createStructConversionCommand(org.talend.transform.runtime.common.StructLocation structLocation, String sourceRepName, String resultRepName)`
`void`
`freeConversionResources(org.talend.transform.runtime.common.StructConversionCommand command)`
`org.talend.transform.runtime.common.StructConverter`
`self()`
`org.talend.transform.runtime.common.StructConverter`
`setUp(String structInstanceId, org.talend.transform.runtime.common.StructLocation structLocation, String sourceRepName, String sourceAvroSchema, String resultRepName, String resultAvroSchema)`

### Methods inherited from class org.talend.transform.runtime.api.ResourceExecutorBase

`cleanUp, getExceptionThreshold, getInitialProjectName, getMessage, getProjectSet, getRuntimeEngine, getSetupProjectName, isDSQLRuntime, isEclipseRuntime, isStandardRuntime, setExceptionThreshold, setLoggingLevel, setLoggingLevel, setupProjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.talend.transform.runtime.common.CommonExecutor

`cleanUp, isDSQLRuntime, isEclipseRuntime, isStandardRuntime, setExceptionThreshold, setLoggingLevel, setLoggingLevel`

## Constructor Details

### StructConverterImpl

public StructConverterImpl()

## Method Details

### setUp

public org.talend.transform.runtime.common.StructConverter setUp(String structInstanceId, org.talend.transform.runtime.common.StructLocation structLocation, String sourceRepName, String sourceAvroSchema, String resultRepName, String resultAvroSchema) throws org.talend.transform.runtime.common.StructConfigurationException

Specified by:
  `setUp` in interface `org.talend.transform.runtime.common.StructConverter`
Throws:
  `org.talend.transform.runtime.common.StructConfigurationException`

### createStructConversionCommand

public org.talend.transform.runtime.common.StructConversionCommand createStructConversionCommand(org.talend.transform.runtime.common.StructLocation structLocation, String sourceRepName, String resultRepName)

Specified by:
  `createStructConversionCommand` in interface `org.talend.transform.runtime.common.StructConverter`

### convert

protected org.talend.transform.runtime.common.StructConversionStatus convert(org.talend.transform.runtime.common.StructConversionCommand command) throws org.talend.transform.runtime.common.StructConfigurationException, org.talend.transform.runtime.common.StructConversionException

Throws:
  `org.talend.transform.runtime.common.StructConfigurationException`
  `org.talend.transform.runtime.common.StructConversionException`

### freeConversionResources

public void freeConversionResources(org.talend.transform.runtime.common.StructConversionCommand command)

### self

public org.talend.transform.runtime.common.StructConverter self()

Specified by:
  `self` in class `ResourceExecutorBase<org.talend.transform.runtime.common.StructConverter>`